<?php
require_once("connect.php");


function getItensByIdPedidoLiberado($id_pedido_venda_liberado){
    global $conexao;
    $itens = array();
    
    $sql = "select 	 id_produto
            		,nr_quantidade 
                    ,id_tipo_movimentacao
                    ,fl_atualiza_estoque
            	from erpc_pedidos_itens_liberados il
                inner join erpc_tipos_movimentacao mov
            		on il.id_tipo_movimentacao = mov.id 
                where id_pedido_venda_liberado = $id_pedido_venda_liberado";
    
    $result = mysqli_query($conexao, $sql);
    if(mysqli_num_rows($result)>0){
        while($row = mysqli_fetch_assoc($result)){
            $id_produto = $row['id_produto'];
            $nr_qantidade = $row['nr_quantidade'];
            
            $item = array(
                 'id' => $id_produto
                ,'nr_quantidade' => $nr_quantidade
            );   
            array_push($itens, $item);
        }
    }
    return($itens);
}

function getItensByIdDocumentoSaida($id_documento_saida){
    global $conexao;
    $itens = array();
    
    $sql = "select 	 il.id_produto
            		,il.nr_quantidade
                    ,il.id_tipo_movimentacao
                    ,mov.fl_atualiza_estoque
            	from erpc_pedidos_documentos_saida pds
                inner join erpc_pedidos_venda_liberados vl
            		on pds.id_pedido_liberados = vl.id
                inner join erpc_pedidos_itens_liberados il
            		on il.id_pedido_venda_liberado = vl.id
                inner join erpc_tipos_movimentacao mov
            		on il.id_tipo_movimentacao = mov.id 
                where pds.id_documento_saida = $id_pedido_venda_liberado";
    $result = mysqli_query($conexao, $sql);
    if(mysqli_num_rows($result)>0){
        while($row = mysqli_fetch_assoc($result)){
            $id_produto = $row['id_produto'];
            $nr_qantidade = $row['nr_quantidade'];
            
            $item = array(
                'id' => $id_produto
                ,'nr_quantidade' => $nr_quantidade
            );
            array_push($itens, $item);
        }
    }
    return($itens);
}

//$tipo_pedido = "recibo" -> id_pedido_liberado
//$tipo_pedido = "documento" -> id_documento_saida$tipo_pedido
//$atualiza = 1 -> acrescenta ao saldo
//$atualiza = 2 -> remove do saldo
//Adicionar a função em erpc_venda_rapida_recibo(line53), erpc_venda_rapida_recibo2(line54), nfecode_recibo(line 105)
function movimentacao($id_pedido, $tipo_pedido, $atualiza){
    global $conexao;
    
    if($tipo_pedido == "recibo"){
        $itens = getItensByIdPedidoLiberado($id_pedido);
    }elseif($tipo_pedido == "documento"){
        $itens = getItensByIdDocumentoSaida($id_pedido);
    }
    
    foreach($itens as $item){
        $id = $item['id'];
        $nr_qtd = $item['nr_quantidade'];
        
        if($item['fl_atualiza_estoque'] == 1){
            if($atualiza == 1){
                $sql = "update Saldo do item para saldo = saldo+$nr_qtd onde id=$id";
            }elseif($atualiza == 2){
                $sql = "update Saldo do item para saldo = saldo-$nr_qtd onde id=$id";
            }
            mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
        }
          
    }
    
}
